clear variables;
DirName1=['../../Fig1/Fig1b'];
DirName0=pwd;
OutDir='../..';

eigvec=dlmread([OutDir,'/vector_PCA.txt']);

%%
ProjNam='kW1_paraset1'; Wtotlist1=[1,2,10,20,50,100];

numd=1; Nlis=[2873:2874]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/kW1_1_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=2; Nlis=[2875:2876]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/kW1_2_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=3; Nlis=[44:46]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/kW1_10_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}',Ar{3}']');
numd=4; Nlis=[29:31]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/kW1_20_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}',Ar{3}']');
numd=5; Nlis=[14:16]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/kW1_50_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}',Ar{3}']');
numd=6; Nlis=[2,59:60]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/kW1_100_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}',Ar{3}']');

Jvec1=eigvec'*Fvec1';

%%
ProjNam='kW1_paraset2'; Wtotlist1=[1.1,2.2,11,22,55,110];

numd=1; Nlis=[2861:2862]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/kW1_1.1_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=2; Nlis=[2863:2864]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/kW1_2.2_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=3; Nlis=[2843:2844]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/kW1_11_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=4; Nlis=[2845:2846]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/kW1_22_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=5; Nlis=[2847:2848]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/kW1_55_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=6; Nlis=[2849:2850]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/kW1_110_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');

Jvec2=eigvec'*Fvec2';

%%
ProjNam='kW1_paraset3'; Wtotlist1=[1.1,2.2,5.5,11,22,55,110];

numd=1; Nlis=[2901:2902]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/kW1_1.1_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec3(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=2; Nlis=[2903:2904]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/kW1_2.2_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec3(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=3; Nlis=[2905:2906]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/kW1_5.5_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec3(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=4; Nlis=[2907:2908]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/kW1_11_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec3(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=5; Nlis=[2909:2910]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/kW1_22_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec3(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=6; Nlis=[2911:2912]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/kW1_55_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec3(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=7; Nlis=[2913:2914]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/kW1_110_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec3(numd,1:3)=mean([Ar{1}',Ar{2}']');

Jvec3=eigvec'*Fvec3';

%%
ProjNam1='Dicty_WTStarved'; Nmax1=19;
for ii=1:Nmax1
    JDictyStarved(ii,:)=mean(dlmread([DirName1,'/',ProjNam1,'/data',num2str(ii),'/r2_cond',num2str(ii),'.txt']));
end

ProjNam2='HL60_WT'; Nmax2=23;
for ii=1:Nmax2
    JHL60_WT(ii,:)=mean(dlmread([DirName1,'/',ProjNam2,'/data',num2str(ii),'/r2_cond',num2str(ii),'.txt']));
end

ProjNam3='Keratocyte'; Nmax3=12;
for ii=1:Nmax3
    JKeratocyte(ii,:)=mean(dlmread([DirName1,'/',ProjNam3,'/data',num2str(ii),'/r2_cond',num2str(ii),'.txt']));
end

JDic7=eigvec'*JDictyStarved';
JHL60=eigvec'*JHL60_WT';
JKera=eigvec'*JKeratocyte';

%%
figure,
plot(JDic7(1,:)',JDic7(2,:)','+','LineWidth',8,'Color',[25 169 72]/255);
hold on;
plot(JHL60(1,:)',JHL60(2,:)','+','LineWidth',8,'Color',[152 0 46]/255);
plot(JKera(1,:)',JKera(2,:)','+','LineWidth',8,'Color',[236 240 39]/255);
plot(Jvec1(1,:)',Jvec1(2,:)','o-','LineWidth',3,'Color','k');
plot(Jvec2(1,:)',Jvec2(2,:)','o-','LineWidth',3,'Color','b');
plot(Jvec3(1,:)',Jvec3(2,:)','o-','LineWidth',3,'Color','m');
hold off;
set(gca,'FontSize',17);
fig = gcf;
fig.Color = 'white';
fig.InvertHardcopy = 'off';
xlim([-15e4 8e4]); ylim([-5e4 12e4]);
saveas(gcf,['./Fig2g'],'epsc');
F=getframe(gcf);
imwrite(uint8(F.cdata),['./Fig2g.png'],'png');
